Subject: Re: [PATCH RFT] net: asix: add proper error handling of usb read errors

From: Greg KH <[email-masked]>
Date: Tue, 18 Jan 2022 07:18:52 +0100

On Mon, Jan 17, 2022 at 10:31:21PM +0300, Pavel Skripkin wrote:
> On 1/5/22 16:19, Pavel Skripkin wrote:
> > Syzbot once again hit uninit value in asix driver. The problem still the
> > same -- asix_read_cmd() reads less bytes, than was requested by caller.
> > 
> > Since all read requests are performed via asix_read_cmd() let's catch
> > usb related error there and add __must_check notation to be sure all
> > callers actually check return value.
> > 
> > So, this patch adds sanity check inside asix_read_cmd(), that simply
> > checks if bytes read are not less, than was requested and adds missing
> > error handling of asix_read_cmd() all across the driver code.
> > 
> > Fixes: d9fe64e51114 ("net: asix: Add in_pm parameter")
> > Reported-and-tested-by: [email-masked]
> > Signed-off-by: Pavel Skripkin <[email-masked]>
> > ---
> 
> gentle ping :)

It's the middle of a merge window, and you ask for testing before it can
be applied?

confused,

greg k-h